<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| # ------------------------------------------------------- # ||
|| # Infusion: partner_pages_panel                           # ||
|| # Version: 1.00.1                                         # ||
|| # Autor: RedDragon                                        # ||
|| # Homepage: http://code.google.com/p/partner-pages-panel/ # ||
|| # File: infusion.php                                      # ||
|| ########################################################### || 
\*=============================================================*/ 
// Line for include files
// Remove the comment before "if" to activate this line
// Insert the comment "//" before "if" to deactivate this line
//if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."partner_pages_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."partner_pages_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."partner_pages_panel/locale/English.php";
}
// Infusion general information
$inf_title = $locale['psp100'];
$inf_description = $locale['psp101'];
$inf_version = "1.00.1";
$inf_developer = "RedDragon";
$inf_email = "reddragon@efc-funclan.de";
$inf_weburl = "http://www.bs-fusion.de";

$inf_folder = "partner_pages_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "partner_pages_panel_admin.php"; // The admin panel filename if required.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "psp (
  psp_id smallint(2) UNSIGNED NOT NULL AUTO_INCREMENT,
  psp_name varchar(50) default NULL,
  psp_url varchar(255) default NULL,
  psp_image varchar(50) default NULL,
  psp_image_url varchar(255) default NULL,
  psp_active varchar(1) default NULL,
  psp_order smallint(3) default NULL,
  PRIMARY KEY  (psp_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "psp_settings (
  box_height smallint(2) NOT NULL,
  scrollamount smallint(2) NOT NULL,
  direction varchar(10) NOT NULL,
  behavior varchar(10) NOT NULL,
  marquee smallint(1) NOT NULL,
  paneltype smallint(1) NOT NULL,
  show_contact smallint(1) NOT NULL
) TYPE=MyISAM;";

//$inf_altertable_[1] = "";

$inf_droptable_[1] = "psp";
$inf_droptable_[2] = "psp_settings";

?>