<?php
/*=============================================================*\
|| ########################################################### ||
|| #        BS-Fusion - Content Management System            # ||
|| #                    Version 1.x                          # ||   
|| # ------------------------------------------------------- # ||
|| # Copyright 2009 BS-Fusion All rights reserved.          # ||
|| # Author: Manuel Kurz                                     # ||
|| # ------------------------------------------------------- # ||
|| # This program is released as open source software under  # ||
|| # the Affero GPL license (version 3).                     # ||
|| # License: http://www.gnu.org/licenses/agpl-3.0.html.     # || 
|| # Removal of this copyright header is strictly prohibited # ||
|| # without written permission from the original author(s). # ||
|| # -------- BS-FUSION IS AN OPEN SOURCE SOFTWARE --------- # ||
|| #    http://www.bs-fusion.de | http://www.bsfusion.de     # ||
|| # ------------------------------------------------------- # ||
|| # Infusion: partner_pages_panel                           # ||
|| # Version: 1.00.1                                         # ||
|| # Autor: RedDragon                                        # ||
|| # Homepage: http://code.google.com/p/partner-pages-panel/ # ||
|| # File: partner_pages_panel_admin.php                     # ||
|| ########################################################### || 
\*=============================================================*/ 
// Line for include files
// Remove the comment before "if" to activate this line
// Insert the comment "//" before "if" to deactivate this line
//if (!defined("IN_FUSION") || !IN_FUSION) die("Access denied!");

require_once "../../maincore.php";

require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../../index.php");

if (file_exists(INFUSIONS."partner_pages_panel/locale/".LANGUAGE.".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."partner_pages_panel/locale/".LANGUAGE.".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."partner_pages_panel/locale/English.php";
}

include "includes/functions.inc.php";

//Variablen deklaration

$uploaddir = INFUSIONS."partner_pages_panel/images/banner/";
$chmod = 0777;

if (isset($_GET['action'])){
	include "includes/dbactions.inc.php";
}   

// Navigation

opentable("Navigation");
echo "<table border='0' width='100%'>";
echo "<tr><td align='center'> <table width='95%' border='0' class='tbl-border' cellspacing='1'>";
if (isset($_POST['action'])){
	if ($action =='new') { 
		echo "<tr><td height='35' class='tbl2' colspan='7' align='left'><img src='".THEME."images/bullet.gif'> <a href='".FUSION_SELF.$aidlink."'>".$locale['psp120']."</a>&nbsp;&nbsp;
	 	<img src='".THEME."images/bullet.gif'> <a href='".FUSION_SELF.$aidlink."&amp;open=settings'>".$locale['psp126']."</a></td></tr>"; 
	}else if ($action=='settings') { 
		echo "<tr><td class='tbl2' height='35' colspan='7' align='left'><img src='".THEME."images/bullet.gif'> <a href='".FUSION_SELF.$aidlink."'>".$locale['psp120']."</a>&nbsp;&nbsp;
		<img src='".THEME."images/bullet.gif'> <a href='".FUSION_SELF.$aidlink."&amp;open=new'>".$locale['psp125']."</a></td></tr>"; 
	}  
}else{
	echo "<tr><td class='tbl2' height='35' colspan='7' align='left'><img src='".THEME."images/bullet.gif'> <a href='".FUSION_SELF.$aidlink."&amp;open=new'>".$locale['psp125']."</a>&nbsp;&nbsp;
	<img src='".THEME."images/bullet.gif'> <a href='".FUSION_SELF.$aidlink."&amp;open=settings'>".$locale['psp127']."</a></td></tr></table>"; 
}
closetable();

// Einstellungen anzeigen
if (isset($_GET['open']) && $_GET['open'] == 'settings') {
	include "includes/settings.inc.php";
}

// Neue Partnerseite erstellen
if (isset($_GET['open']) && $_GET['open'] == 'new') {
	include "includes/new_partner.inc.php";
}

// Partnerseite bearbeiten
if (isset($_GET['open']) && isNum($_GET['id'])) {
	include "includes/edit_partner.inc.php";
}

// Partnerseiten anzeigen

opentable($locale['psp110']);
echo "<table border='0' width='100%'>";
echo "<tr align='center' class='tbl2'><td>Order</td><td>Banner</td><td>Name</td><td>Link</td><td>Status</td><td colspan='2'>Aktion</td></tr>";
while($result=dbarray($pspresult)){
	echo "<tr>";
	echo "<td align='center' class='tbl2'>".$result['psp_order']."</td>";
	if ($result['psp_image_url']=='0'  && $result['psp_image']=='0'){
		$img_src= INFUSIONS."partner_pages_panel/images/banner/no_banner.png";
		}elseif($result['psp_image']!='0'){$img_src= INFUSIONS."partner_pages_panel/images/banner/".$result['psp_image'];
		}else {$img_src= $result['psp_image_url'];
	}
	echo " <td class='tbl2' width='90' align='center'><img src='".$img_src."' width='88' height='31' border='0' alt='".$result['psp_image']."'></td>";
	echo "	<td align='center' class='tbl2' width='50%'><b>".$result['psp_name']."</b></td>
		<td align='center' class='tbl2' width='50%'><a href='".$result['psp_url']."' target='blank'>".$result['psp_url']."</a></td>";
	if($result['psp_active']==0){
		echo "<td width='20' align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;action=activate&amp;id=".$result['psp_id']."'><img src='".IMAGES."no.gif' border='0' title='".sprintf($locale['cp127'],$locale['cp128'])."' alt='".sprintf($locale['cp127'],$locale['cp128'])."'></a></td>";
	}
	if($result['psp_active']==1) {
		echo "<td width='20' align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;action=deactivate&amp;id=".$result['psp_id']."'><img src='".IMAGES."yes.gif' border='0' title='".sprintf($locale['cp127'],"")."' alt='".sprintf($locale['cp127'],"")."'></a></td>"; 
	}
	echo "<td width='20' align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;open=edit&amp;id=".$result['psp_id']."'><img src='".IMAGES."edit.gif' border='0' title='".$locale['psp123']."' alt='".$locale['psp123']."'></a></td>";
	echo "<td width='20' align='center' class='tbl2'><a href='".INFUSIONS."partner_pages_panel/partner_pages_panel_admin.php".$aidlink."&amp;action=drop&amp;id=".$result['psp_id']."'><img src='".IMAGES."delete.gif' border='0' title='".$locale['psp124']."' alt='".$locale['psp124']."'></a></td>";
	echo "</tr>";
	}
	echo "</table>";
echo "</td></tr></table>";
closetable();

// Vorschau anzeigen
opentable("Preview");
include "partner_pages_panel.php";
closetable();

require_once BASEDIR."footer.php";
?>
